Subject: HFL Solutions | EH-202012242225-333613 | Modify Order
From: HFL Support Team <[email-masked]>
To: Jessica Stephenson <[email-masked]>, manager <[email-masked]>
Date: Fri, 25 Dec 2020 14:48:17 +0800

Hi Jess,

Please send only 1 bottle of Alphaviril as the order has been modified.

Happy Holidays!

Regards,
Kae